Subject: Crontab issue
From: Mogyorósi István <[email-masked]>
To: [email-masked]
Date: Mon, 20 Sep 2004 19:39:10 +0200

Hello,

I spent quite a lot of time reading the subject and
I still dont have clear sight on the problem.
It is probably a permission/access sync issue
between Cygwin and NT.
But my case is NOT a network drive.

Case 1,
crontab -e [ logged in as Administrator ]
20 12 * * * /home/Administrator/mydate.sh [ my own script to exec ]
-----
it works with the result written in my home directory.
mydate.sh is `date >mydate.txt`

Case 2,
crontab -e [ logged in as Administrator ]
25 12 * * * /cygdrive/e/otherpath/mydate.sh [ my second script to exec ]
-------------
this does not work.
My Error message in Eventlog is:
bla .. bla .. /usr/sbin/cron : PID 2356 : (Administrator) CMD
(/cygdrive/e/otherpath/mydate.sh 2>&1)

The access permissions for both shell scripts are identical.
The only difference is the path to execute.
If I install the service as Administrator, and try to start it
with the Service Control Manager it fails to start and
I get the error message in the Event Log:
... bla bla .. Cygwin_cron : PID 2260 : starting service
'Cygwin_cron' failed : execv: 1 , Operation not permitted.

Any comments welcome,

Regards

Istvan Mogyorosi

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/